curl --request GET \
--url https://api.coingecko.com/api/v3/rwas/markets \
--header 'x-cg-demo-api-key: <api-key>'[
{
"id": "gold",
"symbol": "xau",
"name": "Gold",
"asset_type": "commodity",
"image": "https://coin-images.coingecko.com/coins/images/10481/large/logo.png?1774627372",
"tokenized_market_data": {
"current_price": 4572.12,
"market_cap": 5472900361,
"total_volume": 351992224,
"high_24h": 4606.42,
"low_24h": 4562.05,
"price_change_24h": -29.774769179191026,
"price_change_percentage_24h": -0.64701,
"market_cap_change_24h": -26139969.102690697,
"market_cap_change_percentage_24h": -0.47536,
"last_updated": "2026-08-28T05:30:10Z",
"sparkline_in_7d": {
"price": [
4521.62,
4532.59,
4542.46
]
},
"price_change_percentage_1h_in_currency": -0.01708,
"price_change_percentage_24h_in_currency": -0.64701,
"price_change_percentage_7d_in_currency": 1.13883,
"price_change_percentage_14d_in_currency": 5.94825,
"price_change_percentage_30d_in_currency": 13.84206,
"price_change_percentage_200d_in_currency": -9.11489,
"price_change_percentage_1y_in_currency": 34.69983
}
}
]RWA List with Market Data
To query all the supported RWAs with price, market cap, volume and market related data
curl --request GET \
--url https://api.coingecko.com/api/v3/rwas/markets \
--header 'x-cg-demo-api-key: <api-key>'[
{
"id": "gold",
"symbol": "xau",
"name": "Gold",
"asset_type": "commodity",
"image": "https://coin-images.coingecko.com/coins/images/10481/large/logo.png?1774627372",
"tokenized_market_data": {
"current_price": 4572.12,
"market_cap": 5472900361,
"total_volume": 351992224,
"high_24h": 4606.42,
"low_24h": 4562.05,
"price_change_24h": -29.774769179191026,
"price_change_percentage_24h": -0.64701,
"market_cap_change_24h": -26139969.102690697,
"market_cap_change_percentage_24h": -0.47536,
"last_updated": "2026-08-28T05:30:10Z",
"sparkline_in_7d": {
"price": [
4521.62,
4532.59,
4542.46
]
},
"price_change_percentage_1h_in_currency": -0.01708,
"price_change_percentage_24h_in_currency": -0.64701,
"price_change_percentage_7d_in_currency": 1.13883,
"price_change_percentage_14d_in_currency": 5.94825,
"price_change_percentage_30d_in_currency": 13.84206,
"price_change_percentage_200d_in_currency": -9.11489,
"price_change_percentage_1y_in_currency": 34.69983
}
}
]Notes
- Filter by
ids,names, orsymbols. When multiple are provided, priority is:ids>names>symbols. - URL-encode spaces in
names(e.g.Micron%20Technology). - Maximum of 250 IDs per request. Wildcard searches are not supported.
- Use
per_pageandpageto paginate results. - Equivalent page on CoinGecko Real World Assets.
issuer param — refer to RWA Issuers List for available values.tokenized_market_data reflects the aggregated onchain tokenized market, not the underlying asset’s spot market. All values are in USD.Authorizations
Learn how to set up your API key
Query Parameters
Filter by RWA asset type.
stock, commodity, etf RWAs' IDs, comma-separated if querying more than 1 RWA.
*refers to /rwas/list
RWAs' names, comma-separated if querying more than 1 RWA.
RWAs' symbols, comma-separated if querying more than 1 RWA.
Filter based on RWAs' issuer.
*refers to /rwas/issuers/list
Sort result by field. Default: market_cap_desc
market_cap_asc, market_cap_desc, volume_asc, volume_desc, id_asc, id_desc Total results per page. Default: 100 Valid values: 1...250
Page through results. Default: 1
Include sparkline 7-day data. Default: false
Include price change percentage timeframe, comma-separated if querying more than 1 timeframe.
Valid values: 1h, 24h, 7d, 14d, 30d, 200d, 1y
Decimal places for currency price value
full, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18 Response
List of RWAs with market data
RWA ID
RWA symbol
RWA name
RWA asset type
stock, commodity, etf Large image URL of the token with the largest market cap
Aggregated tokenized market data
Hide child attributes
Hide child attributes
Current price in target currency
Market cap in target currency
Total trading volume in target currency
24-hour price high in target currency
24-hour price low in target currency
24-hour price change in target currency
24-hour price change percentage
24-hour market cap change in target currency
24-hour market cap change percentage
Last updated timestamp
1-hour price change percentage in target currency
24-hour price change percentage in target currency
7-day price change percentage in target currency
14-day price change percentage in target currency
30-day price change percentage in target currency
200-day price change percentage in target currency
1-year price change percentage in target currency
Was this page helpful?

